Subject: Re: [PATCH] r8169: fix problem with TSO (TX_BUFFS_AVAIL negative value)

From: Alex Villacís Lasso <[email-masked]>
Date: Tue, 08 May 2012 23:12:28 -0500

El 07/05/12 18:42, Francois Romieu escribió:
> Julien Ducourthial<[email-masked]>  :
>> The r8169 may get stuck or show bad behaviour after activating TSO :
>> the net_device is not stopped when it has no more TX descriptors.
>> This problem comes from TX_BUFS_AVAIL which may reach -1 when all
>> transmit descriptors are in use. The patch simply tries to keep positive
>> values.
> It seems more than good.
>
> Alex, Thomas, can you check if Julien's patch below fixes your broken
> kernels as well ?
>
No luck. The backtrace still appears after using the patched driver.